#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

# FIXME no support for GLLIB yet

add_definitions( -DKDE_NO_COMPAT )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/kopete/libkopete
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### kvideoio (static) #########################

tde_add_library( kvideoio STATIC_PIC AUTOMOC
  SOURCES kxv.cpp qvideo.cpp qvideostream.cpp
)


##### kopete_videodevice (shared) ###############

tde_add_library( kopete_videodevice SHARED AUTOMOC
  SOURCES
    videocontrol.cpp videodevice.cpp videodevicemodelpool.cpp
    videodevicepool.cpp videoinput.cpp bayer.cpp
    sonix_compress.cpp
  VERSION 0.0.0
  LINK tdecore-shared
  DESTINATION ${LIB_INSTALL_DIR}
)
